/*****************************************************
 * 
 * Rivers Musical Notes Library
 * Yoshiro Fujita, 2019
 * For use in The Rivers School Engineering program
 * 
 * Defines 7 octaves of musical note frequencies by
 * name. Written for use with piezoelectric buzzers.
 * 
 *****************************************************/
#ifndef MUSICALNOTES_H
#define MUSICALNOTES_H

#ifndef _Tone_h

#define NOTE_B0  31
#define NOTE_C1  33
#define NOTE_Cs1 35
#define NOTE_D1  37
#define NOTE_Ds1 39
#define NOTE_E1  41
#define NOTE_F1  44
#define NOTE_Fs1 46
#define NOTE_G1  49
#define NOTE_Gs1 52
#define NOTE_A1  55
#define NOTE_As1 58
#define NOTE_B1  62
#define NOTE_C2  65
#define NOTE_Cs2 69
#define NOTE_D2  73
#define NOTE_Ds2 78
#define NOTE_E2  82
#define NOTE_F2  87
#define NOTE_Fs2 93
#define NOTE_G2  98
#define NOTE_Gs2 104
#define NOTE_A2  110
#define NOTE_As2 117
#define NOTE_B2  123
#define NOTE_C3  131
#define NOTE_Cs3 139
#define NOTE_D3  147
#define NOTE_Ds3 156
#define NOTE_E3  165
#define NOTE_F3  175
#define NOTE_Fs3 185
#define NOTE_G3  196
#define NOTE_Gs3 208
#define NOTE_A3  220
#define NOTE_As3 233
#define NOTE_B3  247
#define NOTE_C4  262
#define NOTE_Cs4 277
#define NOTE_D4  294
#define NOTE_Ds4 311
#define NOTE_E4  330
#define NOTE_F4  349
#define NOTE_Fs4 370
#define NOTE_G4  392
#define NOTE_Gs4 415
#define NOTE_A4  440
#define NOTE_As4 466
#define NOTE_B4  494
#define NOTE_C5  523
#define NOTE_Cs5 554
#define NOTE_D5  587
#define NOTE_Ds5 622
#define NOTE_E5  659
#define NOTE_F5  698
#define NOTE_Fs5 740
#define NOTE_G5  784
#define NOTE_Gs5 831
#define NOTE_A5  880
#define NOTE_As5 932
#define NOTE_B5  988
#define NOTE_C6  1047
#define NOTE_Cs6 1109
#define NOTE_D6  1175
#define NOTE_Ds6 1245
#define NOTE_E6  1319
#define NOTE_F6  1397
#define NOTE_Fs6 1480
#define NOTE_G6  1568
#define NOTE_Gs6 1661
#define NOTE_A6  1760
#define NOTE_As6 1865
#define NOTE_B6  1976
#define NOTE_C7  2093
#define NOTE_Cs7 2217
#define NOTE_D7  2349
#define NOTE_Ds7 2489
#define NOTE_E7  2637
#define NOTE_F7  2794
#define NOTE_Fs7 2960
#define NOTE_G7  3136
#define NOTE_Gs7 3322
#define NOTE_A7  3520
#define NOTE_As7 3729
#define NOTE_B7  3951
#define NOTE_C8  4186
#define NOTE_Cs8 4435
#define NOTE_D8  4699
#define NOTE_Ds8 4978


#define NOTE_Df1 NOTE_Cs1
#define NOTE_Ef1 NOTE_Ds1
#define NOTE_Gf1 NOTE_Fs1
#define NOTE_Af1 NOTE_Gs1
#define NOTE_Bf1 NOTE_As1

#define NOTE_Df2 NOTE_Cs2
#define NOTE_Ef2 NOTE_Ds2
#define NOTE_Gf2 NOTE_Fs2
#define NOTE_Af2 NOTE_Gs2
#define NOTE_Bf2 NOTE_As2

#define NOTE_Df3 NOTE_Cs3
#define NOTE_Ef3 NOTE_Ds3
#define NOTE_Gf3 NOTE_Fs3
#define NOTE_Af3 NOTE_Gs3
#define NOTE_Bf3 NOTE_As3

#define NOTE_Df4 NOTE_Cs4
#define NOTE_Ef4 NOTE_Ds4
#define NOTE_Gf4 NOTE_Fs4
#define NOTE_Af4 NOTE_Gs4
#define NOTE_Bf4 NOTE_As4

#define NOTE_Df5 NOTE_Cs5
#define NOTE_Ef5 NOTE_Ds5
#define NOTE_Gf5 NOTE_Fs5
#define NOTE_Af5 NOTE_Gs5
#define NOTE_Bf5 NOTE_As5


#endif
#endif
